%define upstream_name	 Apache-Session
%define upstream_version 1.94

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      2

Summary:    A persistence framework for session data
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(Storable) >= 0.600.0
BuildRequires: perl(Test::Deep) >= 0.82.0
BuildRequires: perl(Test::Exception) >= 0.150.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(constant)
BuildArch:  noarch

%description
Apache::Session is a persistence framework which is particularly useful
for tracking session data between httpd requests.  Apache::Session is
designed to work with Apache and mod_perl, but it should work under CGI
and other web servers, and it also works outside of a web server
altogether.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES INSTALL META.json META.yml MYMETA.yml README TODO eg
%{perl_vendorlib}/Apache
%{_mandir}/*/*

%changelog
* Sun Nov 10 2024 wally <wally> 2:1.940.0-1.mga10
+ Revision: 2113442
- update to 1.94

* Sun Mar 20 2022 umeabot <umeabot> 2:1.930.0-10.mga9
+ Revision: 1808236
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2:1.930.0-9.mga8
+ Revision: 1503450
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2:1.930.0-8.mga7
+ Revision: 1281598
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 2:1.930.0-7.mga7
+ Revision: 1162983
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 2:1.930.0-6.mga6
+ Revision: 1022528
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2:1.930.0-5.mga6
+ Revision: 949630
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 2:1.930.0-4.mga5
+ Revision: 790141
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2:1.930.0-3.mga5
+ Revision: 749175
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:1.930.0-2.mga5
+ Revision: 683494
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 2:1.930.0-1.mga5
+ Revision: 614603
- update to 1.93

* Thu Mar 13 2014 jquelin <jquelin> 2:1.920.0-1.mga5
+ Revision: 602836
- update to 1.92

* Mon Feb 10 2014 jquelin <jquelin> 2:1.910.0-1.mga5
+ Revision: 588225
- update to 1.91

* Sat Oct 19 2013 umeabot <umeabot> 2:1.900.0-2.mga4
+ Revision: 526308
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 2:1.900.0-1.mga4
+ Revision: 436559
- update to 1.90

* Sun Jan 13 2013 umeabot <umeabot> 2:1.890.0-2.mga3
+ Revision: 362986
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 2:1.890.0-1.mga1
+ Revision: 33577
- mageia rebuild
- imported package perl-Apache-Session

